<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>sdioemb: /home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/slot_shc.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.3.5 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="pages.html">Related&nbsp;Pages</a></div>
<h1>/home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/slot_shc.h</h1><div class="fragment"><pre>00001 <span class="comment">/*</span>
00002 <span class="comment"> * Standard Host Controller definitions.</span>
00003 <span class="comment"> *</span>
00004 <span class="comment"> * Copyright (C) 2007 Cambridge Silicon Radio Ltd.</span>
00005 <span class="comment"> *</span>
00006 <span class="comment"> * Refer to LICENSE.txt included with this source code for details on</span>
00007 <span class="comment"> * the license terms.</span>
00008 <span class="comment"> */</span>
00009 <span class="preprocessor">#ifndef _SLOT_SHC_H</span>
00010 <span class="preprocessor"></span><span class="preprocessor">#define _SLOT_SHC_H</span>
00011 <span class="preprocessor"></span>
00012 <span class="comment">/* SHC registers */</span>
00013 <span class="preprocessor">#define SHC_SYSTEM_ADDRESS  0x00</span>
00014 <span class="preprocessor"></span>
00015 <span class="preprocessor">#define SHC_BLOCK_SIZE      0x04</span>
00016 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_BLOCK_SIZE_DMA_BOUNDRY_4K 0x0000</span>
00017 <span class="preprocessor"></span>
00018 <span class="preprocessor">#define SHC_BLOCK_COUNT     0x06</span>
00019 <span class="preprocessor"></span><span class="preprocessor">#define SHC_ARG             0x08</span>
00020 <span class="preprocessor"></span>
00021 <span class="preprocessor">#define SHC_TRANSFER_MODE   0x0c</span>
00022 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_TRANSFER_MODE_DMA_EN        0x0001</span>
00023 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_TRANSFER_MODE_BLK_CNT_EN    0x0002</span>
00024 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_TRANSFER_MODE_AUTO_CMD12_EN 0x0004</span>
00025 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_TRANSFER_MODE_DATA_READ     0x0010</span>
00026 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_TRANSFER_MODE_MULTI_BLK     0x0020</span>
00027 <span class="preprocessor"></span>
00028 <span class="preprocessor">#define SHC_CMD             0x0e</span>
00029 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_CMD_RESP_NONE     0x0000</span>
00030 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_CMD_RESP_136      0x0001</span>
00031 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_CMD_RESP_48       0x0002</span>
00032 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_CMD_RESP_48B      0x0003</span>
00033 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_CMD_RESP_CRC_CHK  0x0008</span>
00034 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_CMD_RESP_IDX_CHK  0x0010</span>
00035 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_CMD_DATA_PRESENT  0x0020</span>
00036 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_CMD_TYPE_ABORT    (0x3 &lt;&lt; 6)</span>
00037 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_CMD_IDX(c)        ((c) &lt;&lt; 8)</span>
00038 <span class="preprocessor"></span>
00039 <span class="preprocessor">#define SHC_RESPONSE_0_31   0x10</span>
00040 <span class="preprocessor"></span>
00041 <span class="preprocessor">#define SHC_BUFFER_DATA_PORT    0x20</span>
00042 <span class="preprocessor"></span>
00043 <span class="preprocessor">#define SHC_PRESENT_STATE       0x24</span>
00044 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_PRESENT_STATE_CMD_INHIBIT     0x00000001</span>
00045 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_PRESENT_STATE_DAT_INHIBIT     0x00000002</span>
00046 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_PRESENT_STATE_CARD_PRESENT    0x00010000</span>
00047 <span class="preprocessor"></span>
00048 <span class="preprocessor">#define SHC_HOST_CTRL           0x28</span>
00049 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_HOST_CTRL_LED_ON          0x01</span>
00050 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_HOST_CTRL_4BIT            0x02</span>
00051 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_HOST_CTRL_HIGH_SPD_EN     0x04</span>
00052 <span class="preprocessor"></span>
00053 
00054 <span class="preprocessor">#define SHC_PWR_CTRL        0x29</span>
00055 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_PWR_CTRL_3V3      0x0e</span>
00056 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_PWR_CTRL_ON       0x01</span>
00057 <span class="preprocessor"></span>
00058 <span class="preprocessor">#define SHC_BLOCK_GAP_CTRL  0x2a</span>
00059 <span class="preprocessor"></span><span class="preprocessor">#define SHC_WAKEUP_CTRL     0x2b</span>
00060 <span class="preprocessor"></span>
00061 <span class="preprocessor">#define SHC_CLOCK_CTRL      0x2c</span>
00062 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_CLOCK_CTRL_INT_CLK_EN     0x01</span>
00063 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_CLOCK_CTRL_INT_CLK_STABLE 0x02</span>
00064 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_CLOCK_CTRL_SD_CLK_EN      0x04</span>
00065 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_CLOCK_CTRL_DIV(d)         (((d) &gt;&gt; 1) &lt;&lt; 8) </span><span class="comment">/* divisor must be power of 2 */</span>
00066 
00067 <span class="preprocessor">#define SHC_TIMEOUT_CTRL    0x2e</span>
00068 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_TIMEOUT_CTRL_MAX          0x0e</span>
00069 <span class="preprocessor"></span>
00070 <span class="preprocessor">#define SHC_SOFTWARE_RST    0x2f</span>
00071 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_SOFTWARE_RST_ALL 0x01</span>
00072 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_SOFTWARE_RST_CMD 0x02</span>
00073 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_SOFTWARE_RST_DAT 0x04</span>
00074 <span class="preprocessor"></span>
00075 <span class="preprocessor">#define SHC_INT_STATUS      0x30</span>
00076 <span class="preprocessor"></span><span class="preprocessor">#define SHC_INT_STATUS_EN   0x34</span>
00077 <span class="preprocessor"></span><span class="preprocessor">#define SHC_INT_SIGNAL_EN   0x38</span>
00078 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_INT_CMD_COMPLETE      0x00000001</span>
00079 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_INT_TRANSFER_COMPLETE 0x00000002</span>
00080 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_INT_BLOCK_GAP         0x00000004</span>
00081 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_INT_DMA               0x00000008</span>
00082 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_INT_WR_BUF_RDY        0x00000010</span>
00083 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_INT_RD_BUF_RDY        0x00000020</span>
00084 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_INT_CARD_INSERTED     0x00000040</span>
00085 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_INT_CARD_REMOVED      0x00000080</span>
00086 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_INT_CARD_INT          0x00000100</span>
00087 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_INT_ERR_ANY           0x00008000</span>
00088 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_INT_ERR_CMD_TIMEOUT   0x00010000</span>
00089 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_INT_ERR_CMD_CRC       0x00020000</span>
00090 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_INT_ERR_CMD_ENDBIT    0x00040000</span>
00091 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_INT_ERR_CMD_INDEX     0x00080000</span>
00092 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_INT_ERR_CMD_ALL       0x000f0000</span>
00093 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_INT_ERR_DAT_TIMEOUT   0x00100000</span>
00094 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_INT_ERR_DAT_CRC       0x00200000</span>
00095 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_INT_ERR_DAT_ENDBIT    0x00400000</span>
00096 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_INT_ERR_DAT_ALL       0x00700000</span>
00097 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_INT_ERR_CURRENT_LIMIT 0x00800000</span>
00098 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_INT_ERR_AUTO_CMD12    0x01000000</span>
00099 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_INT_ERR_ALL           0x01ff0000</span>
00100 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_INT_ALL               0x01ff81ff</span>
00101 <span class="preprocessor"></span>
00102 <span class="preprocessor">#define SHC_AUTO_CMD12_STATUS   0x3c</span>
00103 <span class="preprocessor"></span>
00104 <span class="preprocessor">#define SHC_CAPS                0x40</span>
00105 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_CAPS_TO_BASE_CLK_FREQ(c)  (((c) &amp; 0x00003f00) &gt;&gt; 8)</span>
00106 <span class="preprocessor"></span><span class="preprocessor">#  define SHC_CAPS_PWR_3V3              (1 &lt;&lt; 24)</span>
00107 <span class="preprocessor"></span>
00108 <span class="preprocessor">#define SHC_MAX_CURRENT_CAPS    0x4c</span>
00109 <span class="preprocessor"></span>
00110 <span class="comment">/* PCI configuration registers. */</span>
00111 <span class="preprocessor">#define PCI_SHC_SLOT_INFO 0x40</span>
00112 <span class="preprocessor"></span>
00113 <span class="comment">/* Maximum time to wait for a software reset. */</span>
00114 <span class="preprocessor">#define SHC_RESET_TIMEOUT_MS 100 </span><span class="comment">/* ms */</span>
00115 
00116 <span class="comment">/* Maximum time to wait for internal clock to stabilize */</span>
00117 <span class="preprocessor">#define SHC_INT_CLK_STABLE_TIMEOUT_MS 100</span>
00118 <span class="preprocessor"></span>
00119 <span class="preprocessor">#endif </span><span class="comment">/* #ifndef _SLOT_SHC_H */</span>
</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Nov 21 14:14:54 2008 for sdioemb by
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border=0 > 
</a>1.3.5 </small></address>
</body>
</html>
